import S3 from "aws-sdk/clients/s3";
import { Context } from "@webiny/handler/types";
import { ObjectParamsResponse } from "../utils/getObjectParams";
import { extractFileInformation } from "./extractFileInformation";
export declare function isSmallObject(object: S3.Types.GetObjectOutput): boolean;
interface S3Object {
    object?: S3.Types.GetObjectOutput;
    params: ObjectParamsResponse;
}
export declare const MAX_RETURN_CONTENT_LENGTH = 5000000;
export declare const getS3Object: (fileInfo: ReturnType<typeof extractFileInformation>, s3: S3, context: Context) => Promise<S3Object>;
export {};
